function plot_spar(spar)
%  Copyright 2011-2013 The MathWorks, Inc.

% plot_spar(spar)
% called using the simulation stop callback
%
    
    y = spar(:,2)+1j*spar(:,3);
    radius = sqrt(spar(:,4).^2+spar(:,5).^2);
    [ ~ ] = unwrap(atan2(spar(:,5),spar(:,4)));
    
    figure('NumberTitle','off','Name','S Parameter Plots', ...
                'Position',[100,100,1000,300]);
    
    subplot(1,2,1);
    [ ~, ~ ] = smithchart(y); title('Syy');
    
    % subplot(1,2,2), polar(angle,radius); title('Sxy')
    subplot(1,2,2);
    plot(spar(:,1),20*log10(radius)); 
    title('Sxy'); 
    xlabel('Hz'); ylabel('dB');
    grid('on');

end

